CK_RING_CAPACITY(3)

NAME
ck_ring_capacity - returns number of pointer slots in bounded FIFO

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_ring.h>
unsigned int
ck_ring_capacity(ck_ring_t *ring);

DESCRIPTION
The ck_ring_capacity(3) function returns the number of pointers that can be held in the buffer pointed to by ring. Note that a ring can only hold ck_ring_capacity(3) minus one entries at a time.

SEE ALSO
ck_ring_init(3), ck_ring_enqueue_spmc(3), ck_ring_dequeue_spmc(3), ck_ring_trydequeue_spmc(3), ck_ring_enqueue_spmc_size(3), ck_ring_dequeue_spsc(3), ck_ring_enqueue_spsc(3), ck_ring_enqueue_spsc_size(3), ck_ring_size(3)

Additional information available at http://concurrencykit.org/